/* INTRO TEXT */
    .contact_us .page_header{
        margin: 0;
        padding-top: 15rem;
        text-align: center;
        font-size: 30px;
        animation: textFadeIn 1s ease-in-out;
    }

    .contact_us_intro{
        text-align: center;
        font-size: 55px;
        line-height: 1.3;
        margin-top: 1rem;
        font-weight: bold;
        margin-bottom: 1.7rem;
        animation: textFadeIn 1s ease-in-out;
    }

    .contact_us_sub_intro{
        text-align: center;
        font-size: 22px;
        font-weight: 500;
        animation: textFadeIn 1s ease-in-out;
    }

/* GRIDS */
    .contact_us_grids {
        display: flex;
        justify-content: space-between;
        margin-top: 5rem;
        gap: 65px;
        width: 100%; /* Full width */
        margin-left: auto;
        margin-right: auto;
        animation: textFadeIn 1s ease-in-out;
        max-width: 90vw;
    }

    .contact_us_grid {
        flex: 1;
        background-color: #f0f0f076;
        padding: 100px 0 0 0;
        border-radius: 8px;
        box-shadow: 0 2px 4px rgba(0, 0, 0, 0.5);
        position: relative;
        text-align: center;
        font-size: clamp(1vw, 1.3vw, 20px);
    }

    .contact_us_grid a{
        text-decoration: none; 
        color: black;
    }

    .contact_us_grid a:hover{
        text-decoration: underline; 
    }


    .contact_us_grid .grid_description_title{
        margin-top: -2.5rem;
        margin-bottom: 0.5rem;
        font-weight: 700;
        text-decoration: underline;
        margin-bottom: 0;
    }

    .contact_us_grid .grid_description_title_email{
        margin-top: 2.5rem;
        margin-bottom: 0.5rem;
        font-weight: 700;
        text-decoration: underline;
    }


    .contact_us_grid .grid_description{
        font-weight: 500;
    }

    .contact_us_grid .grid_title {
        position: absolute;
        top: 20px;
        left: 50%;
        color: var(--cclec_green);
        transform: translateX(-50%); 
        font-size: clamp(1vw, 1.8vw, 30px);
        margin: 0;
        white-space: nowrap; /* Ensures the text stays on one line */   
    }

    .grid_description_title{
        padding-bottom: 0.5rem;
    }



    /* GRID - Hours */
        .hours_grid {
            display: grid;
            grid-template-columns: 1fr 1fr; /* Two equal columns */
            gap: 20px; /* Space between columns */
            text-align: left;
            margin-top: -1rem;
        }

        .hours_days{
            display: flex;
            flex-direction: column;
            margin-left: 30px;
            font-weight: 550;
        }

        .hours_times{
            margin-right: 10px;
            font-weight: 350;
        }

        .hours_days p, .hours_times p {
            margin: 0;
            padding: 0;
            margin-bottom: 1rem;
        }

    /* GRID - Address */
        .address_grid{
            text-decoration: none;
            color: black;
            font-weight: 500;
        }

        .address_grid:hover{
            text-decoration: underline;
        }


/* GENERAL INQUIRY */
.inquiry_title {
    margin: 0;
    margin-top: 5rem;
    margin-bottom: 2rem;
    text-align: center;
    color: var(--cclec_green);
}

.general_inquiry_description{
    margin: 0 auto;
    text-align: center;
    font-size: 23px;
    font-weight: 400;
    margin-bottom: 5rem;
    line-height: 1.7;
}

.general_inquiry_description a{
    font-weight: 500;
}


.map-area{
    border-top: 2px solid var(--cclec_green);
}
